/**
 * @(#)GOperationMove.java
 *
 * Copyright 2001 by Intelligent Technology Inc. All rights reserved.
 */
package jp.co.iti.fagot.gob;

import jp.co.iti.fagot.geom.ZPoint;
/**
 * 移動オペレーション
 *
 * @author  福島康治
 * @version 1.01 2001/01/07
 */
public class GOperationMove extends GElement {

	/**
	 * コンストラクタ
	 */
	public GOperationMove() {
		super();
		//{{FAGOT_ATTR
		//}}FAGOT_ATTR
	}

	//## 値 ###########################################################

	//## 位置##########################################################

	//## 移動##########################################################
	/**
	 * 操作時の移動モード
	 * @param pt 論理座標
	 */
	public byte getHitModeGob(ZPoint pt) {
	return GOperation.HANDON;
	}

	/**
	 * 操作前の移動モード
	 * @param pt 論理座標
	 */
	public byte getPreMoveModeGob(ZPoint pt) {
	return GOperation.HAND;
	}

	//## アトリビュート################################################
}
